> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debt-wise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DIT

> DIT - is a digital identity trust flow. It is required for use in 2 cases:
1. When standard flow returns an error and cannot be finished.
2. When user mark some of the data as invalid after receiving the Identity response.



## OpenAPI

````yaml api-reference/openapi.yaml POST /api/users/{id}/equifax/auth/dit
openapi: 3.0.1
info:
  title: DebtWise API
  version: '2024-07-01'
  description: >-
    The DebtWise API suite is the primary means for developers to offer debt
    management tools within their existing applications.
  contact:
    name: DebtWise Support
    url: https://debt-wise.com
    email: support@debt-wise.com
servers:
  - url: https://staging.debt-wise.com
    description: Sandbox server (uses test data)
  - url: https://app.debt-wise.com
    description: Production server (uses live data)
security:
  - bearerAuth: []
tags:
  - name: Ping
  - name: Users
  - name: Accounts
  - name: Credit Scores
  - name: Equifax
  - name: Debt Payoff Plan
  - name: Debt Payoff Plan Payments
  - name: Articles
  - name: Debt Calculator
paths:
  /api/users/{id}/equifax/auth/dit:
    parameters:
      - $ref: '#/components/parameters/userIdParam'
      - $ref: '#/components/parameters/acceptEncodingParam'
      - $ref: '#/components/parameters/apiVersionParam'
    post:
      tags:
        - Equifax
      summary: 'DIT '
      description: >-
        DIT - is a digital identity trust flow. It is required for use in 2
        cases:

        1. When standard flow returns an error and cannot be finished.

        2. When user mark some of the data as invalid after receiving the
        Identity response.
      operationId: EquifaxAuthDIT
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - device_ip
                - email
                - first_name
                - last_name
                - ssn
                - address_line
                - city
                - postal_code
                - state
              properties:
                device_ip:
                  type: string
                  example: 793.345.234.0
                  minLength: 7
                  description: User's IP address
                email:
                  type: string
                  example: john_smith@email.com
                  description: User's email
                first_name:
                  type: string
                  example: John
                  description: User's first name
                last_name:
                  type: string
                  example: Smith
                  description: User's last name
                ssn:
                  type: string
                  example: '091230909'
                  minLength: 8
                  maxLength: 9
                  description: User's Social Security Number
                address_line:
                  type: string
                  example: 3 Avenue
                  description: User's address line
                address_line_2:
                  type: string
                  example: Street 1
                  description: User's second address line
                city:
                  type: string
                  example: New York
                  description: User's city
                state:
                  type: string
                  example: NY
                  minLength: 2
                  maxLength: 2
                  description: User's state
                postal_code:
                  type: string
                  example: '30030'
                  description: User's postal code
        required: true
      responses:
        '200':
          description: Success
        '422':
          description: Decision Deny
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: string
                        example: validation_error
                        description: An identifier of an error type inside API.
                      message:
                        type: string
                        example: Decision Deny
                        description: A human-readable error description.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
components:
  parameters:
    userIdParam:
      name: id
      in: path
      schema:
        type: integer
        example: 1
      description: An userId.
      required: true
    acceptEncodingParam:
      name: Accept-Encoding
      in: header
      description: We can compress a response with gzip.
      required: false
      schema:
        type: string
        example: gzip deflate
    apiVersionParam:
      name: API-Version
      in: header
      description: API API Version. See Versioning page for more details.
      required: false
      schema:
        type: string
        example: '2024-07-01'
  schemas:
    InternalServerError:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              example: internal_server_error
              description: An identifier of an error type inside API.
            message:
              type: string
              example: >-
                We've notified our engineers and hope to address this issue
                shortly.
              description: A human-readable error description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````